## ide-ref-ptr ide-ref-ptr |

## Functions

IdeRefPtr * | ide_ref_ptr_new ()
IdeRefPtr * | ide_ref_ptr_ref ()
void | ide_ref_ptr_unref ()
gpointer | ide_ref_ptr_get ()

## Object Hierarchy

        GBoxed
        ╰── IdeRefPtr

## Description

## Functions

### ide_ref_ptr_new ()

    IdeRefPtr *
    ide_ref_ptr_new (gpointer data,
                     GDestroyNotify free_func);

### ide_ref_ptr_ref ()

    IdeRefPtr *
    ide_ref_ptr_ref (IdeRefPtr *self);

### ide_ref_ptr_unref ()

    void
    ide_ref_ptr_unref (IdeRefPtr *self);

### ide_ref_ptr_get ()

    gpointer
    ide_ref_ptr_get (IdeRefPtr *self);

## Types and Values